config/routes.rb
Rails.application.routes.draw do
  resources :plans
  resources :purchases
  resources :businesses do
    collection do
      get 'show_new'=>'businesses#show_new'
    end
    resources :categories
    resources :products
  end
  get 'home/index'
  get 'home1'=>'home#home_1'
  get 'new_products'=>'products#new_index'
  root 'home#index'
  devise_for :users, :controllers => {:registrations => "registrations"}
  resource :user, only: [:edit] do
	  collection do
	    patch 'update_password'
	  end
	end
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end

app/views/shared/_leftbar.html.erb
<aside class="left-sidebar">
    <!-- Sidebar scroll-->
    <div class="scroll-sidebar ps ps--theme_default ps--active-y" data-ps-id="bb7ba21d-6afb-a4c9-c234-b410a5db1839">
        <!-- Sidebar navigation-->
        <nav class="sidebar-nav active">
            <ul id="sidebarnav" class="in">
                <% business = current_user.business rescue nil %>
                <li><a href="<%= business_products_path(business) rescue root_path %>"><i class="ti-list"></i><span class="hide-menu">Products</span></a></li>
                <li><a href="<%= business_categories_path(business) rescue root_path%>"><i class="ti-list"></i><span class="hide-menu">Categories</span></a></li>
                <li><a href="<%= business_path(business) rescue root_path %>"><i class="ti-user"></i><span class="hide-menu">Business Profile</span></a></li>
                <li><a href="<%= edit_user_path %>"><i class="ti-user"></i><span class="hide-menu">Your Profile</span></a></li>
                <li><a href="<%= destroy_user_session_path %>" data-method="delete"><i class="fa fa-power-off"></i><span class="hide-menu">Sign Out</span></a></li>
                
            </ul>
        </nav>
        <!-- End Sidebar navigation -->
    <div class="ps__scrollbar-x-rail" style="left: 0px; bottom: 0px;"><div class="ps__scrollbar-x" tabindex="0" style="left: 0px; width: 0px;"></div></div><div class="ps__scrollbar-y-rail" style="top: 0px; height: 699px; right: 0px;"><div class="ps__scrollbar-y" tabindex="0" style="top: 0px; height: 313px;"></div></div></div>
    <!-- End Sidebar scroll-->
</aside>

app/views/shared/_pagination.html.erb
<%= will_paginate objekt, :class=>"flickr_pagination"%>

app/views/shared/_razorpay_form.html.erb
<div>
  <form action="/purchases" method="POST">
      <script
          src="https://checkout.razorpay.com/v1/checkout.js"
          data-key="<%= Figaro.env.RAZORPAY_MERCHANT_KEY_ID %>"

          data-amount="<%= amount%>"
          data-name=""
          data-description="<%= description %>"
          data-image="/images/product.jpg"

          data-prefill.name="<%= name %>"
          data-prefill.email="<%= email %>"
          data-theme.color="#152254"
          data-currency="<%= currency %>"
          >
      </script>
      <input type="hidden" value="<%= plan_id%>" name="plan_id">
      <input type="hidden" value="<%= user_id %>" name="user_id">
  </form><br> 
</div>

app/views/shared/_search.html.erb
<div class="col-md-12">
  <div class="white-box">
    <div class="form">
      <%= form_tag(url, method: "get", remote: true) do  %>
        <div class="form-group row">
          
          <div class="col-md-4">
            <%= text_field_tag :search, params[:search], class: "form-control detectChange", placeholder: "search" %>
          </div>
          <div class="col-md-2">
            <%= select_tag(:city_id, options_for_select(City.pluck(:name, :id), ((params[:city_id].present?) ? params[:city_id] : @city.id)), class: "form-control detectChangeSelect", prompt: "select city") %>
          </div>
          <% if page.present? and page != "notifications" and page != "businesses"%>
            <div class="col-md-2">
              <%= select_tag(:status, options_for_select([["All", "all"], ["Pending", "pending"],["Approved", "approved"], ["Rejected", "rejected"]], ((params[:status].present?) ? params[:status] : "all")), class: "form-control detectChangeSelect", prompt: "select status") %>
            </div>
            <div class="col-md-2">

              <%= select_tag(:category, options_for_select((["All"] + OFFER_CATEGORIES.map {|x| x[0]}), ((params[:category].present?) ? params[:category] : "All")), class: "form-control detectChangeSelect", prompt: "select status") %>
            </div>
          <%end %>
          <div class="col-md-2">
            <%= submit_tag "Search", class: "btn btn-info btn-sm  m-l-20 btn-rounded btn-outline waves-effect waves-light" %>
          </div>
        </div>
      <% end %>
    </div>
  </div>
</div> 


<script>  
  $(function(){
      $(".detectChange").unbind('keyup').bind('keyup', function(){
        if($(this).val().trim().length % 2 === 0)
          $(this).closest('form').submit()
      })
      $(".detectChangeSelect").unbind('change').bind('change', function(){
        if($(this).val())
          $(this).closest('form').submit()
      })
  })
</script>

app/views/shared/_topbar.html.erb
<header class="topbar">
    <nav class="navbar top-navbar navbar-expand-md navbar-dark">
        <!-- ============================================================== -->
        <!-- Logo -->
        <!-- ============================================================== -->
        <div class="navbar-header">
            <a class="navbar-brand" href="<%=  root_path %>">
                <!-- Logo icon --><b>
                    <!--You can put here icon as well // <i class="wi wi-sunset"></i> //-->
                    <!-- Dark Logo icon -->
                    <img src="/assets/logo-icon.png" alt="homepage" class="dark-logo">
                    <!-- Light Logo icon -->
                    <img src="/assets/logo-light-icon.png" alt="homepage" class="light-logo">
                </b>
                <!--End Logo icon -->
                <span class="hidden-xs" style=""><span class="font-bold" style="">elite</span>university</span>
            </a>
        </div>
        <!-- ============================================================== -->
        <!-- End Logo -->
        <!-- ============================================================== -->
        <div class="navbar-collapse">
            <!-- ============================================================== -->
            <!-- toggle and nav items -->
            <!-- ============================================================== -->
            <ul class="navbar-nav mr-auto">
                <!-- This is  -->
                <li class="nav-item"> <a class="nav-link nav-toggler d-block d-md-none waves-effect waves-dark" href="javascript:void(0)"><i class="ti-menu"></i></a> </li>
                <li class="nav-item"> <a class="nav-link sidebartoggler d-none d-lg-block d-md-block waves-effect waves-dark" href="javascript:void(0)"><i class="icon-menu"></i></a> </li>
                <!-- ============================================================== -->
                <!-- Search -->
                <!-- ============================================================== -->
               
            </ul>
            <!-- ============================================================== -->
            <!-- User profile and search -->
            <!-- ============================================================== -->
            <ul class="navbar-nav my-lg-0">
                <li class="nav-item dropdown u-pro">
                    <a class="nav-link dropdown-toggle waves-effect waves-dark profile-pic" href="" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><img src="/assets/users/1.jpg" alt="user" class=""> <span class="hidden-md-down"><%= current_user.email %> &nbsp;<i class="fa fa-angle-down"></i></span> </a>
                    <div class="dropdown-menu dropdown-menu-right animated flipInY">
                        <!-- text-->
                        <a href="<%= edit_user_path %>" class="dropdown-item"><i class="ti-user"></i> My Profile</a>
                        <div class="dropdown-divider"></div>
                        <!-- text-->
                        <a href="pages-login.html" class="dropdown-item"><i class="fa fa-power-off"></i> Logout</a>
                        <!-- text-->
                    </div>
                </li>
                <!-- ============================================================== -->
                <!-- End User Profile -->
                <!-- ============================================================== -->
            </ul>
        </div>
    </nav>
</header>

app/views/shared/_user_leftbar.html.erb
<!-- Left navbar-header -->
        <div class="navbar-default sidebar" role="navigation">
            <div class="sidebar-nav navbar-collapse slimscrollsidebar">
                <div class="user-profile">
                    <div class="dropdown user-pro-body">
                        <% if user_signed_in? && current_user.image? %>
                        <div><img src="<%= current_user.image_url %>" alt="user-img" class="img-circle"></div>
                        <% else %>
                        <div><img src="/assets/userImg.png" alt="user-img" class="img-circle"></div>
                        <% end %>
                        <a href="#" class="dropdown-toggle u-dropdown" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false"><%= current_user.email if user_signed_in? %><%= "No Logged In User" if !user_signed_in? %><span class="caret"></span></a>
                        <ul class="dropdown-menu animated flipInY">
                            <li><a href="#"><i class="ti-user"></i> My Profile</a></li>
                            <li><a href="#"><i class="ti-wallet"></i> My Balance</a></li>
                            <li><a href="#"><i class="ti-email"></i> Inbox</a></li>
                            <li role="separator" class="divider"></li>
                            <li><a href="#"><i class="ti-settings"></i> Account Setting</a></li>
                            <li role="separator" class="divider"></li>
                            <li><a href="login.html"><i class="fa fa-power-off"></i> Logout</a></li>
                        </ul>
                    </div>
                </div>
                <ul class="nav" id="side-menu">
                    <li class="sidebar-search hidden-sm hidden-md hidden-lg">
                        <!-- input-group -->
                        <div class="input-group custom-search-form">
                            <input type="text" class="form-control" placeholder="Search...">
                            <span class="input-group-btn">
            <button class="btn btn-default" type="button"> <i class="fa fa-search"></i> </button>
            </span> </div>
                        <!-- /input-group -->
                    </li>
                    <li>
                        
                    </li>
                    <li class="nav-small-cap m-t-10">--- Main Menu</li>
                    
                    <li>
                    <% if user_signed_in? %>
                    <%= link_to ' Edit profile', edit_user_registration_path, :class => "glyphicon glyphicon-edit" %>  <br/>
                    <%= link_to " Logout", destroy_user_session_path, method: :delete, :class => "glyphicon glyphicon-log-out" %>
                    <% else %>
                    <%= link_to "Sign up", new_user_registration_path,  :class => ""  %> <br/>
                    <%= link_to "Login", new_user_session_path, :class => ""  %>
                    <% end %>
                    </li>
                          
                     <% @main_categories = Category.all %>
                    <li> <a href="" class="waves-effect active"><i class="linea-icon linea-basic fa-fw" data-icon="v"></i> <span class="hide-menu"> Category<span class="fa arrow"></span> <span class="label label-rouded label-custom pull-right"> <%= @main_categories.count if !@main_categories.nil? %> </span></span></a>
                           <ul class="nav nav-second-level">
                           <% if @main_categories.nil? %>
                           <% else %>
                                   <% 
                                    @main_categories.each do |category|
                                    %>  
                                        <ul class="nav nav-second-level">
                                            <li> <a href="<%= category_products_path(category)%>">  <%= category.name %> </a> </li>
                                        </ul>
                                    <% end %>
                           <% end %>    
                       </ul>
                    </li>
                    
            </div>
        </div>
        <!-- Left navbar-header end -->

app/views/shared/_user_topbar.html.erb
    <nav class="navbar navbar-default navbar-static-top m-b-0">
            <div class="navbar-header"> <a class="navbar-toggle hidden-sm hidden-md hidden-lg " href="javascript:void(0)" data-toggle="collapse" data-target=".navbar-collapse"><i class="ti-menu"></i></a>
                <div class="top-left-part"><a class="logo" href="index.html"><b><!--This is dark logo icon--><img src="../plugins/images/eliteadmin-logo.png" alt="home" class="dark-logo" /><!--This is light logo icon--><img src="../plugins/images/eliteadmin-logo-dark.png" alt="home" class="light-logo" /></b><span class="hidden-xs"><!--This is dark logo text--><img src="../plugins/images/eliteadmin-text.png" alt="home" class="dark-logo" /><!--This is light logo text--><img src="../plugins/images/eliteadmin-text-dark.png" alt="home" class="light-logo" /></span></a></div>
                <ul class="nav navbar-top-links navbar-left hidden-xs">
                    <li><a href="javascript:void(0)" class="open-close hidden-xs waves-effect waves-light"><i class="icon-arrow-left-circle ti-menu"></i></a></li>
                    <li>


                        <form role="search" class="app-search hidden-xs">
                            <input type="text" placeholder="Search..." class="form-control">
                            <a href=""><i class="fa fa-search"></i></a>
                        </form>
                    

                    </li>


                </ul>
                <ul class="nav navbar-top-links navbar-right pull-right">
                    <li class="dropdown"> <a class="dropdown-toggle waves-effect waves-light" data-toggle="dropdown" href="#"><i class="icon-envelope" style="font-size:20px"><span class="badge badge-secondary" style="font-size:10px">5</span></i>
          <%# <div class="notify"><span class="heartbit"></span><span class="point"></span></div> %>
          </a>
                        <ul class="dropdown-menu mailbox animated bounceInDown">
                        <button type="button" class="close btn btn-danger" style="font-size:20px;" data-dismiss="alert">x</button>
                            <li>
                                <div class="drop-title">You have 4 new messages</div>
                            </li>
                            <li>
                                <div class="message-center">
                                    <a href="#">
                                        <div class="user-img"> <img src="../plugins/images/users/pawandeep.jpg" alt="user" class="img-circle"> <span class="profile-status online pull-right"></span> </div>
                                        <div class="mail-contnet">
                                            <h5>Pavan kumar</h5>
                                            <span class="mail-desc">Just see the my admin!</span> <span class="time">9:30 AM</span> </div>
                                    </a>
                                    <a href="#">
                                        <div class="user-img"> <img src="../plugins/images/users/sonu.jpg" alt="user" class="img-circle"> <span class="profile-status busy pull-right"></span> </div>
                                        <div class="mail-contnet">
                                            <h5>Sonu Nigam</h5>
                                            <span class="mail-desc">I've sung a song! See you at</span> <span class="time">9:10 AM</span> </div>
                                    </a>
                                    <a href="#">
                                        <div class="user-img"> <img src="../plugins/images/users/arijit.jpg" alt="user" class="img-circle"> <span class="profile-status away pull-right"></span> </div>
                                        <div class="mail-contnet">
                                            <h5>Arijit Sinh</h5>
                                            <span class="mail-desc">I am a singer!</span> <span class="time">9:08 AM</span> </div>
                                    </a>
                                    <a href="#">
                                        <div class="user-img"> <img src="../plugins/images/users/pawandeep.jpg" alt="user" class="img-circle"> <span class="profile-status offline pull-right"></span> </div>
                                        <div class="mail-contnet">
                                            <h5>Pavan kumar</h5>
                                            <span class="mail-desc">Just see the my admin!</span> <span class="time">9:02 AM</span> </div>
                                    </a>
                                </div>
                            </li>
                            <li>
                                <a class="text-center" href="javascript:void(0);"> <strong>See all notifications</strong> <i class="fa fa-angle-right"></i> </a>
                            </li>
                        </ul>
                        <!-- /.dropdown-messages -->
                        
                    </li>
                    <!-- /.dropdown -->
                   
                
                    <li> <a class="dropdown-toggle waves-effect waves-light" data-toggle="dropdown" href="#"><i class="ti-shopping-cart" style="font-size:20px"><span class="badge badge-secondary" style="font-size:10px"> <%= @cart.cart_items.count %> </span></i></a>
                    
                        <ul class="dropdown-menu dropdown-cart dropdown-tasks animated slideInUp">
                        <button type="button" class="close btn btn-danger" style="font-size:20px;" data-dismiss="alert">x</button>
                            <%  @cartitemsexist = CartItem.find_by owner_id: @cart.id %>       
                            <% if @cartitemsexist.nil? %>
                               <li class="divider"> </li>
                               <li class="text-center" style="color: red;"><b>Your Cart is Empty</b></li> 
                               <li class="divider"> </li>
                               
                            <% else %>
                                            <% 
                                            @items = @cart.cart_items
                                            @items.each do |f|
                                            %>                               
                                                <li>
                                                    <div class="cart-img"><img src="<%= Product.find(f.item_id).image_url %>" /></div>
                                                    <div class="cart-content">
                                                    <h5><%= Product.find(f.item_id).name %></h5><small>&#8377; <%= Product.find(f.item_id).price %></small></div>
                                                </li>
                                                <li class="divider"></li> 
                                            <% end %>
                                        <li>
                                            <a class="text-center" href="<%= cart_path(@cart) %>"> <strong>View Cart</strong> <i class="fa fa-angle-right"></i> </a> 
                                        </li>                     
                            <% end %>

                        </ul> 
                            
                        <!-- /.dropdown-tasks -->
                    </li>
                    <!-- /.dropdown -->
                    <!-- .Megamenu -->
                    <li class="right-side-toggle"> <a class="waves-effect waves-light" href="javascript:void(0)"><i class="ti-settings"></i></a></li>
                    <!-- /.dropdown -->
                </ul>
                
            </div>
            <!-- /.navbar-header -->
            <!-- /.navbar-top-links -->
            <!-- /.navbar-static-side -->
        </nav>